// global vars
var nameSpace = {};

// =========================================
// ================= INIT ==================
// =========================================
// ------------ loginLoad ------------
function loginLoad(){
	doControlsLoad();
	checkSession();
	// init actions
	$('.hideErrorOnType').keyup(hideError);
 	$('.input_login').keypress( function(event){ doCheckLoginSubmit( event ); } );
	$('#auth_user').focus();
	disableSelection(document.body);
}

// ------------ loginUnload ------------
function loginUnload(){
	
}

// =========================================
// =============== SESSION =================
// =========================================
// ------------ checkSession ------------
function checkSession(){
	var stLocal		= {};
	
	stLocal = sqlSessionGet();
	
	if( stLocal.success == true ){
		$('#auth_user').val( stLocal.results.username );
		$('#auth_password').val( stLocal.results.password );
		$('#auth_remember').attr( 'checked', true );
	}
}

// =========================================
// ================ LOGIN ==================
// =========================================
// ------------ doCheckLoginSubmit ------------
function doCheckLoginSubmit( event ){
	if( typeof event.keyCode != 'undefined' && event.keyCode == 13 ){
		$('#btnAuth').click();
	}
}

// ------------ myLogin ------------
function myLogin(){
	var stLocal			= {};
	
	stLocal.userName	= $('#auth_user').val();
	stLocal.password	= $('#auth_password').val();
	stLocal.remember	= $('#auth_remember').attr("checked");
	// in main.js
	stLocal.stLogin		= doLogin( stLocal.userName, stLocal.password, stLocal.remember, showError);
	
//	if( stLocal.stLogin.success == false ){
//		showError();
//	}
}

// =========================================
// ============== DISPLAYS =================
// =========================================
// ------------ showError ------------
function showError(){
	window.nativeWindow.height = 365;
	
	if( $('#errorArea:visible').size() == 0 ){
		$('#errorArea').slideDown();
	}
}

// ------------ hideError ------------
function hideError(){
	if( $('#errorArea:visible').size() != 0 ){
		$('#errorArea').slideUp( 'normal', resetWindowSize );
	}
}

// ------------ resetWindowSize ------------
function resetWindowSize(){
	window.nativeWindow.height = 290;
}