// ------------ parseShifdError ------------
function parseShifdError( code ){
	var stLocal		= {};
	
	stLocal['101']	= 'Service is unavailable.';
	stLocal['103']	= 'User is not logged in.';
	stLocal['104']	= 'Unexpected Error.';
	stLocal['105']	= 'Database Error.';
	stLocal['501']	= 'Username cannot be blank.';
	stLocal['531']	= 'Username is invalid.';
	stLocal['532']	= 'Email address is invalid.';
	stLocal['560']	= 'Invalid username and password combination.';
	stLocal['561']	= 'Session Expired. Please log in.';
	stLocal['562']	= 'Session invalid. Please log in.';
	stLocal['563']	= 'Username is already taken.';
	stLocal['564']	= 'Email address is already taken.';
	stLocal['600']	= 'Mobile ID cannot be blank.';
	stLocal['601']	= 'Mobile number cannot be blank.';
	stLocal['603']	= 'Auth code cannot be blank.';
	stLocal['630']	= 'Invalid Mobile ID.';
	stLocal['631']	= 'Invalid mobile number  number is not a mobile number.';
	stLocal['632']	= 'Failed to send code to mobile phone.';
	stLocal['633']	= 'Invalid authentication code.';
	stLocal['661']	= 'Wrong authentication code.';
	
	if( typeof stLocal[code] != 'undefined' ){
		return stLocal[code];
	}
	else{
		return 'Unknown error code';
	}
}